Bug 718165 - Review Request: ibus-gucharmap - Unicode input engine (using gucharmap) for IBus platform
Summary: Review Request: ibus-gucharmap - Unicode input engine (using gucharmap) for I...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-01 08:58 UTC by Daiki Ueno
Modified: 2011-07-22 19:38 UTC (History)
4 users (show)

Fixed In Version: ibus-gucharmap-1.4.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-05 08:37:22 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daiki Ueno 2011-07-01 08:58:13 UTC
Spec URL: http://ueno.fedorapeople.org/ibus-gucharmap/ibus-gucharmap.spec
SRPM URL: http://ueno.fedorapeople.org/ibus-gucharmap/ibus-gucharmap-1.3.99.20110701-0.1.git0ec429009.fc15.src.rpm
Description:
A Unicode input engine (using Gucharmap) for IBus, which supports
character-map view and searching by Unicode names with easy key
navigation.

Comment 1 Parag AN(पराग) 2011-07-01 10:23:26 UTC
Review:
+ koji build->http://koji.fedoraproject.org/koji/taskinfo?taskID=3173566
+ rpmlint output is
ibus-gucharmap.src: W: invalid-url Source0: ibus-gucharmap-0ec429009.tar.gz
+ Other than following suggestions, package looks ok.

Suggestions
1) I think you can use word "Gucharmap" as "gucharmap" as its the command name actually in %description and summary.
2) defattr(-,root,root,-) is not needed now as per new guidelines and its also pointless since rpm 4.4 version. See https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
3) Is the Versioned Requires on ibus really a hard requirement to be mentioned in spec? you should just write 
Requires: ibus

4) Steps to reproduce tarball is not working
git archive --format tar --prefix ibus-gucharmap-${ibusgucharmapcommit} ${ibusgucharmapcommit} |gzip -c > ../ibus-gucharmap-${ibusgucharmapcommit}.tar.gz
==> fatal: Not a valid object name

Though not relevant here but I see build.log is showing same warning many times. Looks something like casting issue. Also, it showed zh_CN.po warning message.

Comment 2 Daiki Ueno 2011-07-04 01:12:07 UTC
(In reply to comment #1)
> Suggestions
> 1) I think you can use word "Gucharmap" as "gucharmap" as its the command name
> actually in %description and summary.

Done.

> 2) defattr(-,root,root,-) is not needed now as per new guidelines and its also
> pointless since rpm 4.4 version. See
> https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

Removed that line.

> 3) Is the Versioned Requires on ibus really a hard requirement to be mentioned
> in spec? you should just write 
> Requires: ibus

Well, I'm not sure if it is assured that ibus engines compiled against specific ibus-devel version do not install when only older ibus version is available.
For safe, I would like to keep the hard requirement.

> 4) Steps to reproduce tarball is not working
> git archive --format tar --prefix ibus-gucharmap-${ibusgucharmapcommit}
> ${ibusgucharmapcommit} |gzip -c >
> ../ibus-gucharmap-${ibusgucharmapcommit}.tar.gz
> ==> fatal: Not a valid object name

Thanks, I didn't pushed the local commit to the repo.  Fixed.

> Though not relevant here but I see build.log is showing same warning many
> times. Looks something like casting issue.

This is a gucharmap bug, which is known to be harmless:
https://bugzilla.gnome.org/show_bug.cgi?id=653214

> Also, it showed zh_CN.po warning message.

Fixed.

Spec URL: http://ueno.fedorapeople.org/ibus-gucharmap/ibus-gucharmap.spec
SRPM URL: http://ueno.fedorapeople.org/ibus-gucharmap/ibus-gucharmap-1.3.99.20110704-0.1.gitc94104372.fc15.src.rpm

Comment 3 Parag AN(पराग) 2011-07-04 09:18:08 UTC
+ Koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3178401

APPROVED.

Comment 4 Daiki Ueno 2011-07-05 00:57:26 UTC
Thanks for the review, Parag.

New Package SCM Request
=======================
Package Name: ibus-gucharmap
Short Description: Unicode input engine (using gucharmap) for IBus platform
Owners: ueno
Branches: f15 f14
InitialCC: i18n-team

Comment 5 Gwyn Ciesla 2011-07-05 07:32:35 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-07-05 08:35:53 UTC
ibus-gucharmap-1.3.99.20110704-0.1.gitc94104372.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-gucharmap-1.3.99.20110704-0.1.gitc94104372.fc15

Comment 7 Daiki Ueno 2011-07-05 08:37:22 UTC
Thanks.  Closing.

Comment 8 Fedora Update System 2011-07-11 09:28:03 UTC
ibus-gucharmap-1.4.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-gucharmap-1.4.0-1.fc15

Comment 9 Fedora Update System 2011-07-22 19:38:40 UTC
ibus-gucharmap-1.4.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.